/* hipocampp.com
smallest size screens */

/* Variables */
:root{
    /* font stuff */
    --default-font: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    --bungee-font: "Bungee", serif;
    --def-style: oblique;
    --cap: capitalize;
    /* colors */
    --antque: antiquewhite;
    --smokey: whitesmoke;
    --solid-red: #ff0000;
    --orangey: #f45030;
    --blackish: #222;
    --darkest: black;
    /* measurements */
    --def-radius: 4px;
    --quat-rem: .25rem;
    --half-rem: .5rem;
    --one-rem: 1rem;
}

/* Universal Reset */
* {
    margin: 0;
    color: var(--darkest);
    text-decoration: none;
    box-sizing: border-box;
    font-family: var(--default-font);
    text-align: justify;
    line-height: 1.5rem;
}

body ul {list-style: none;}

h1, h2, h3 {font-family: var(--bungee-font);}

h4 {text-transform: var(--cap);}

.minPad {padding: var(--half-rem);}

.notice {
    background-color: var(--antque);
    color: var(--blackish);
    opacity: .5;
}

/* Header Section */
header {
    background: linear-gradient(var(--solid-red), var(--orangey));
    margin-bottom: var(--one-rem);
}

#topside {
    background-color: var(--blackish);
    justify-content: space-between;
    overflow: auto;
    display: flex;
    padding: .1rem;
}

#logo {
    width: 5.5vw;
    height: 5.5vh;
    margin-right: .2rem;
    border-radius: 8px;
    display: none;
}

#topside h1 {
    margin: var(--half-rem);
    margin-bottom: var(--one-rem);
    color: var(--antque);
    font-size: 1.5rem;
    text-transform: uppercase;
    display: block;
}
/*  */
header nav {
    background-color: var(--darkest);
    padding: 0;
    overflow: auto;
}

header nav ul {
    display: flex;
    padding: 0;
    justify-content: flex-end;
}

header nav ul li {justify-self: start;}

header nav ul li a {
    display: block;
    color: var(--antque);
    text-transform: uppercase;
    padding: .65rem var(--half-rem);
}

header nav ul li a:hover {
    background-color: var(--orangey);
    color: var(--blackish);
}

.here {
    background-color: var(--antque);
    color: var(--blackish);
    font-family: var(--bungee-font);
}

/* Main Section */
body {background: url("/front/static/images/moon.avif") center center;}

main {
    margin: var(--half-rem);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

#mainshow, #sideshow {
    min-width: 99%;
    height: fit-content;
    padding: .4rem;
    background-color: var(--smokey);
    border-radius: var(--def-radius);
}

.transparency {opacity: .8;}
.transparency:hover {opacity: 1;}

#mainshow h2 {
    margin-bottom: .35rem;
    text-align: center;
}

#mainshow .notice {
    background: linear-gradient(var(--solid-red), var(--orangey));
    border-radius: var(--def-radius);
    padding: 0 var(--half-rem);
    margin: 0 var(--one-rem);
}

#mainshow .notice p  {
    text-align: center;
    font-style: var(--def-style);
}

#mainshow div h3 {margin: var(--half-rem);}

#mainshow div ul {
    padding: 0 .4rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

#mainshow div ul li {
    /* increase width? */
    width: 28vw;
    justify-content: center;
}

#mainshow div ul li a {
    display: block;
    margin: var(--half-rem);
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
#mainshow div ul li a:hover {
    white-space: wrap;
    overflow: visible;
}

#mainshow div ul li a img {width: 100%;}

#mainshow div ul li a p {
    background-color: #eee;
    margin-top: -1.95rem;
    opacity: .7;
    color: var(--blackish);
    padding: 0 .45rem;
    text-transform: var(--cap);
    position: relative;
    width: fit-content;
    max-lines: 1;
    font-size: 75%;
}

#albumArt, #artistePic {
    padding: 0 .4rem;
    display: flex;
    justify-content: space-evenly;
    justify-items: center;
    margin-bottom: .15rem;
    flex-wrap: nowrap;
    overflow: auto;
    max-width: 88vw;
    /* max-width: 95%; */
    height: 45%;
}

#albumArt li, #artistePic li {
    width: 23.5vw;
    justify-content: center;
    /* flex-wrap: nowrap; */
    margin: 0 1.37rem;
}

#albumArt li a, #artistePic li a {
    display: block;
    margin: .18rem;
}

#albumArt li a img, #artistePic li a img {width: 100%;}

#albumArt li a p, #artistePic li a p {
    background-color: #eee;
    margin-top: -1.95rem;
    opacity: .7;
    color: var(--blackish);
    padding: 0 .4rem;
    position: relative;
    width: fit-content;
    text-transform: var(--cap);
    max-lines: 1;
    font-size: 60%;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
#albumArt li a p:hover, #artistePic li a p:hover {
    white-space: wrap;
    overflow: visible;
}

.article{
    border-radius: var(--def-radius);
    margin: .2rem;
    padding: var(--half-rem);
}
.article:hover{background-color: var(--antque);}

.article a{color: blue;}
.article a:visited{color: blue;}

.article span{font-weight: bold;}

#mainshow div #tracks .track {
    margin: .35rem;
    min-width: 75vw;
}

#mainshow div #tracks .track span, #albumName {
    color: var(--antque);
    background: var(--blackish);
    width: fit-content;
    padding: 0 .12rem;
}

#err404{
    padding: 3rem 7.5rem;
    font-style: var(--def-style);
}

#err404 h1{
    display: block;
    padding: 1.5rem;
    font-family: var(--bungee-font);
    font-size: 7rem;
    text-align: center;
}

#err404 h4{
    margin-top: var(--half-rem);
    text-align: center;
    font-size: larger;
}
/*  */

.itag {display: none;}

/* .hide{display: none;} */

#socials{
    margin-top: var(--one-rem);
    display: grid;
    grid-template-columns: repeat(3, auto);
}

.social {margin-bottom: .75rem;}

.social img:hover{    
    background-color: var(--antque);
    border-radius: var(--def-radius);
}

#msgSect{
    display: none;
    margin: var(--one-rem) var(--half-rem);
    padding: var(--half-rem);
    border-radius: var(--def-radius);
    background-color: var(--blackish);
}

#msgSect h3{
    justify-self: center;
    color: var(--antque);
}

.mailing{
    display: block;
    margin: .2rem;
    width: 80%;
    justify-self: center;
    padding: .15rem var(--quat-rem);
}
.mailing:hover{background-color: var(--antque);}

.label{
    color: var(--antque);
    font-weight: bold;
    display: block;
    width: 80%;
    justify-self: center;
}

#mailer{
    font-style: var(--def-style);
    max-lines: 1;
}

#mailTopic{
    font-style: var(--def-style);
    max-lines: 1;
}

#mailBody{
    min-height: 10vh;
    max-height: fit-content;
    min-width: 80%;
    max-width: 80%;
    line-height: var(--one-rem);
}

#mailSend{
    width: fit-content;
    background-color: var(--antque);
    text-transform: uppercase;
    font-weight: bold;
    font-style: italic;
    font-size: var(--one-rem);
}
#mailSend:hover{cursor: pointer;}
#mailSend:active{background-color: var(--smokey);}

#searchInPage{
    display: flex;
    width: fit-content;
    padding: .3rem;
    border-radius: var(--def-radius);
    margin: .2rem 1.5rem .2rem 1.5rem;
}
#searchInPage:hover{background-color: var(--orangey);}

#howToSeek{
    background-color: var(--smokey);
    margin-right: .1rem;
    flex: inline-start;
    cursor: pointer;
    padding: .1rem;
}

#howToSeek:active, #whatToSeek:hover{
    background-color: var(--antque);
    border: var(--smokey);
}

#whatToSeek{
    width: 50vw;
    margin-left: .1rem;
    background-color: var(--smokey);
    height: 2rem;
    padding: 0 var(--half-rem);
}

#resultsInPage{
    display: none;
    border: var(--orangey), solid, thin;
    background-color: var(--antque);
    padding: .05rem;
    margin: .15rem .85rem;
    border-radius: var(--def-radius);
    max-width: 70vw;
    max-height: 19vh;
    overflow: auto;
    scrollbar-color: var(--antque);
}

#resultsInPage .foundInPage{
    margin: .1rem;
    padding: .3rem;
}
#resultsInPage .foundInPage:hover{background-color: #f7beb3ee;}
/* might change back to width or max-width */
#mainshow audio {min-width: 48vw;}

#sideshow {
    width: 97%;
    min-height: 50vh;
}

#sideshow audio {width: 85vw;}

#sideshow .writes{
    background: var(--blackish);
    margin: var(--quat-rem) 0;
    padding: .23rem;
    border-radius: var(--def-radius);
}

#sideshow .writes h4{
    justify-self: center;
    font-style: var(--def-style);
    font-family: var(--bungee-font);
    color: var(--antque);
    background-color: var(--blackish);
    border-radius: var(--def-radius);
    padding: .1rem .3rem;
}

#sideshow .writes p{
    text-align: center;
    font-style: var(--def-style);
    color: var(--antque);
    background-color: var(--blackish);
    border-radius: var(--def-radius);
    padding: .1rem .3rem;
margin-top: var(--quat-rem);
}
/*  */

.clear {clear: both;}

.download-btn {
    padding: .2rem .3rem;
    margin: .35rem;
    border-radius: var(--def-radius);
    border: none;
    cursor: pointer;
    background-color: var(--blackish);
    color: var(--antque);
    font-weight: bold;
}
.download-btn:active {
    background-color: var(--antque);
    color: var(--blackish);
}

.expansion {
    display: block;
    border: solid thin;
    width: 98%;
    border-radius: var(--def-radius);
    text-align: center;
    font-style: var(--def-style);
    cursor: pointer;
}

/* Footer Section */
footer {
    background: url("/front/static/images/crescent-sun.avif") no-repeat center center/cover;
    margin-top: var(--one-rem);
    justify-content: center;
}

#promo {
    margin: var(--quat-rem);
    border-radius: var(--def-radius);
}

#bottom {
    justify-items: center;
    justify-content: center;
}

#bottom h4 {color: var(--antque);}

#bottom ul {
    display: flex;
    overflow: auto;
    max-width: 90vw;
    justify-items: center;
    flex-wrap: nowrap;
}

#bottom ul li a {
    display: block;
    margin: .35rem;
    padding: .4rem;
    background-color: var(--antque);
    min-height: 12vh;
    text-align: center;
    text-transform: var(--cap);
    font-size: 1.2rem;
    border-radius: var(--def-radius);
}

#bottom ul li a img {
    width: 20vw;
    position: inherit;
}

#bottom ul li a p {
    text-align: center;
    margin-top: -.5rem;
    font-style: var(--def-style);
    text-transform: initial;
    font-size: var(--one-rem);
}

#bottom ul li a:hover,
#bottom ul li a p:hover {
    color: var(--antque);
    background-color: var(--blackish);
}

/* .transit {opacity: .2;}
.transit:hover {opacity: 1;} */

footer h5 {
    text-align: center;
    color: var(--antque);
}
/**/